<?php

function panel_options() { 

	$categories_obj = get_categories('hide_empty=0');
	$categories = array();
	foreach ($categories_obj as $pn_cat) {
		$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
	}
	
	$sliders = array();
	$custom_slider = new WP_Query( array( 'post_type' => 'magnews_slider', 'posts_per_page' => -1 ) );
	while ( $custom_slider->have_posts() ) {
		$custom_slider->the_post();
		$sliders[get_the_ID()] = get_the_title();
	}
	
if( get_option( 'magnews_theme_save' ) == 'n'){
$save='
	<div class="mpanel-submit">
		<input type="hidden" name="action" value="save" />
        <input type="hidden" name="security" value="'. wp_create_nonce("test-theme-data").'" />
		<input name="save" class="mpanel-save" type="submit" value="Save Changes" />    
	</div>';
}else{
$save='
	<div class="mpanel-submit">
		<input type="hidden" name="action" value="test_theme_data_save" />
        <input type="hidden" name="security" value="'. wp_create_nonce("test-theme-data").'" />
		<input name="save" class="mpanel-save" type="submit" value="Save Changes" />    
	</div>';
}
?>
		
		
<div id="save-alert"></div>

<div class="mo-panel">

	<div class="mo-panel-tabs">
		<div class="logo"></div>
		<ul>
			<li class="magnews-tabs advanced"><a href="#tab1"><span></span>General</a></li>
			<li class="magnews-tabs homepage"><a href="#tab2"><span></span>Homepage</a></li>
			<li class="magnews-tabs slideshow"><a href="#tab5"><span></span>Slider Settings</a></li>
			<li class="magnews-tabs styling"><a href="#tab13"><span></span>Color and Styling</a></li>
		  <li class="magnews-tabs article"><a href="#tab6"><span></span>Posts Settings</a></li>
            <li class="magnews-tabs typography"><a href="#tab14"><span></span>Typography</a></li>
            <li class="magnews-tabs Social"><a href="#tab4"><span></span>Social Media</a></li>
            <li class="magnews-tabs banners"><a href="#tab8"><span></span>Banners Settings</a></li>
			<li class="magnews-tabs archives"><a href="#tab12"><span></span>Archives Settings</a></li>
            <li class="magnews-tabs footer"><a href="#tab7"><span></span>Footer Section</a></li>
			<li class="magnews-tabs advanced"><a href="#tab10"><span></span>Advanced Setting</a></li>
		</ul>
	  <div class="clear"></div>
	</div> 
    
    <!-- .mo-panel-tabs -->
	
	<div class="mo-panel-content">
	<?php if( get_option( 'magnews_theme_save' ) == 'n') : ?>
	<form method="post">
	<?php else: ?>
	<form action="/" name="magnews_form" id="magnews_form">
	<?php endif; ?>
	
		<div id="tab1" class="tabs-wrap">
			<h2>General Setting</h2> <?php echo $save ?>
			<div class="magnewspanel-item">
				<h3>Favicon</h3>
				<?php
					magnews_options(
						array(	"name" => "Upload Your Favicon (.ico file)",
								"id" => "favicon",
								"type" => "upload"));
				?>
	    </div>
        
        <div class="magnewspanel-item">
		    <h3>Header Top Menus </h3>
				<?php
					magnews_options(
						array(	"name" => "Show/Hide Top Menu",
								"id" => "top_menu",
								"type" => "checkbox"));	
				?>		
			</div>

		<div class="magnewspanel-item">
				<h3>Logo</h3>
				<?php
					magnews_options(
						array( 	"name" => "Logo Setting",
								"id" => "logo_setting",
								"type" => "radio",
								"options" => array( "logo"=>"Custom Image Logo" ,
													"title"=>"Display Site Title" )));
				?>
								
				<?php
					magnews_options(
						array(	"name" => "Custom Logo Image",
								"id" => "logo",
								"help" => "Upload a logo image, or enter URL to an image if it is already uploaded. the theme default logo gets applied if the input field is left blank.",
								"type" => "upload"));
				?>

				<?php
					magnews_options(
						array(	"name" => "Logo Margin Top",
								"id" => "logo_margin",
								"type" => "slider",
								"help" => "Input number to set the top space of the logo .",
								"unit" => "px",
								"max" => 100,
								"min" => 0 ));
				?>

      </div>

			<div class="magnewspanel-item">
				<h3>Theme Layout </h3>
				<div class="option-item">
					<?php
						$checked = 'checked="checked"';
						$magnews_theme_layout = magnews_get_option('theme_layout');
					?>
					<ul id="magnews_theme_layout" class="magnews-options">
						<li>
							<input id="magnews_theme_layout" name="magnews_options[theme_layout]" type="radio" value="boxed" <?php if($magnews_theme_layout == 'boxed' || !$magnews_theme_layout ) echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/boxed.png" /></a>
						</li>
						<li>
							<input id="magnews_theme_layout" name="magnews_options[theme_layout]" type="radio" value="full" <?php if($magnews_theme_layout == 'full') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/full.png" /></a>
						</li>
					</ul>
				</div>
				
				<div class="option-item">
					<?php
					magnews_options(
						array(	"name" => "Number of Columns",
								"id" => "columns_num",
								"type" => "radio",
								"options" => array( "3c"=>"Three Columns" ,
													"2c"=>"Two Columns" )));
					?>
					
				</div>
			</div>

			<div class="magnewspanel-item">
			  <h3> Gravatar</h3>
				
				<?php
					magnews_options(
						array(	"name" => "Custom Gravatar",
								"id" => "gravatar",
								"type" => "upload"));
				?>
			</div>
			<div class="magnewspanel-item">
		    <h3>Breadcrumbs Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "ON/OFF Breadcrumbs ",
								"id" => "breadcrumbs",
								"type" => "checkbox")); 

				?>
			</div>
						
			<div class="magnewspanel-item">
				<h3>Header Code</h3>
				<div class="option-item">
					<small>The following code will add to the &lt;head&gt; tag. Useful if you need to add additional scripts such as CSS or JS.</small>
					<textarea id="header_code" name="magnews_options[header_code]" style="width:100%" rows="7"><?php echo htmlspecialchars_decode(magnews_get_option('header_code'));  ?></textarea>				
				</div>
			</div>
			
			<div class="magnewspanel-item">
				<h3>Footer Code </h3>
				<div class="option-item">
					<small>The following code will add to the footer before the closing  &lt;/body&gt; tag. Useful if you need to Javascript or tracking code.</small>

					<textarea id="footer_code" name="magnews_options[footer_code]" style="width:100%" rows="7"><?php echo htmlspecialchars_decode(magnews_get_option('footer_code'));  ?></textarea>				
				</div>
			</div>	
			
		</div><!-- Header Settings -->
		
		
		
	  <div id="tab2" class="tabs-wrap">
			<h2>Homepage</h2> <?php echo $save ?>
		
			<div class="magnewspanel-item">
				<h3>Home page displays</h3>
				<?php
					magnews_options(
						array( 	"name" => "Home page displays",
								"id" => "on_home",
								"type" => "radio",
								"options" => array( "latest"=>"Latest posts - Blog Layout" ,
													"boxes"=>" News Boxes - use Home Builder" )));
				?>
			</div>	
			
		<div id="Home_Builder">

			<div class="magnewspanel-item">
				<h3>First News Excerpt Length</h3>
				<?php
					magnews_options(
						array( 	"name" => "First News Excerpt Length",
								"id" => "home_exc_length",
								"type" => "short-text"));
				?>
			</div>	
			
			
			<div class="magnewspanel-item"  style=" overflow: visible; ">
				<h3>Home Builder</h3>
       
				<div class="option-item">
                
                <div class="magnewspanel-item">	
						<h3>Homepage Areas Preview </h3>
						<div class="option-item">
							<div style="text-align:center"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/home-builder.png" /></div>
						</div>
				  </div>
                
					<?php $i=0; ?>
					<a id="collapse-all">[-] Collapse All</a>
					<a id="expand-all">[+] Expand All</a>
					<div class="clear"></div>
					
					<select style="display:none" id="cats_defult">
						<?php foreach ($categories as $key => $option) { ?>
						<option value="<?php echo $key ?>"><?php echo $option; ?></option>
						<?php } ?>
					</select>
				
				<div class="magnewspanel-item builder-section">
				<h3>Left Area #1 </h3>
				<div class="option-item">
				
					<div style="clear:both"></div>
					<div class="home-builder-buttons">
						<a class="magnews_add-cat" data-id="#cat_sortable" data-num="1">News Box</a>
						<a class="magnews_add-slider" data-id="#cat_sortable" data-num="1">Scrolling Box</a>
						<a class="magnews_add-ads" data-id="#cat_sortable" data-num="1">ADS</a>
						<a class="magnews_add-news-picture" data-id="#cat_sortable" data-num="1">News in picrure</a>
						<a class="magnews_add-recent" data-id="#cat_sortable" data-num="1">Recent Posts</a>
						<a class="magnews_add-divider" data-id="#cat_sortable" data-num="1">Divider</a>
					</div>
					
	
					
					<ul id="cat_sortable" class="cat_sortable">
						<?php
							$cats = get_option( 'magnews_home_cats1' ) ;
							if($cats){
								foreach ($cats as $cat) { 
									$i++;
									?>
									<li id="listItem_<?php echo $i ?>" class="ui-state-default">
			
								<?php 
									if( $cat['type'] == 'n' ) :	?>
										<div class="widget-head"> News Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats1[<?php echo $i ?>][id]" id="magnews_home_cats1[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label><span>Posts Order : </span><select name="magnews_home_cats1[<?php echo $i ?>][order]" id="magnews_home_cats1[<?php echo $i ?>][order]"><option value="latest" <?php if( $cat['order'] == 'latest' || $cat['order']=='' ) echo 'selected="selected"'; ?>>Latest Posts</option><option  <?php if( $cat['order'] == 'rand' ) echo 'selected="selected"'; ?> value="rand">Random Posts</option></select></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats1[<?php echo $i ?>][number]" name="magnews_home_cats1[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
											
											<label>
												<span style="float:left; width:162px">Box Style : </span>
												<ul class="magnews-cats-options magnews-options">
													<li>
														<input id="magnews_home_cats1[<?php echo $i ?>][style]" name="magnews_home_cats1[<?php echo $i ?>][style]" type="radio" value="li" <?php if( $cat['style'] == 'li' || $cat['style']=='' ) echo 'checked="checked"'; ?> />
														<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/li.png" /></a>
													</li>
													<li>
														<input id="magnews_home_cats1[<?php echo $i ?>][style]" name="magnews_home_cats1[<?php echo $i ?>][style]" type="radio" value="2c" <?php if( $cat['style'] == '2c' ) echo 'checked="checked"' ?> />
														<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/2c.png" /></a>
													</li>
													<li>
														<input id="magnews_home_cats1[<?php echo $i ?>][style]" name="magnews_home_cats1[<?php echo $i ?>][style]" type="radio" value="1c" <?php if( $cat['style'] == '1c') echo 'checked="checked"' ?> />
														<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/1c.png" /></a>
													</li>
												</ul>
											</label>
								<?php 
									elseif( $cat['type'] == 'recent' ) :	?>
										<div class="widget-head"> Recent Posts 
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span style="float:left;">Exclude This Categories : </span><select multiple="multiple" name="magnews_home_cats1[<?php echo $i ?>][exclude][]" id="magnews_home_cats1[<?php echo $i ?>][exclude][]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( @in_array( $key , $cat['exclude'] ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats1[<?php echo $i ?>][title]" name="magnews_home_cats1[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats1[<?php echo $i ?>][number]" name="magnews_home_cats1[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][display]"><span>Display Mode:</span>
												<select id="magnews_home_cats1[<?php echo $i ?>][display]" name="magnews_home_cats1[<?php echo $i ?>][display]">
													<option value="default" <?php if ( $cat['display'] == 'default') { echo ' selected="selected"' ; } ?>>Default Style</option>
													<option value="blog" <?php if ( $cat['display'] == 'blog') { echo ' selected="selected"' ; } ?>>Blog Style</option>
												</select>
											</label>

										
									<?php elseif( $cat['type'] == 's' ) : ?>
										<div class="widget-head scrolling-box"> Scrolling Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats1[<?php echo $i ?>][id]" id="magnews_home_cats1[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats1[<?php echo $i ?>][title]" name="magnews_home_cats1[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats1[<?php echo $i ?>][number]" name="magnews_home_cats1[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>

											
									<?php elseif( $cat['type'] == 'ads' ) : ?>
										<div class="widget-head ads-box"> ADS
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<textarea cols="36" rows="5" name="magnews_home_cats1[<?php echo $i ?>][text]" id="magnews_home_cats1[<?php echo $i ?>][text]"><?php echo stripslashes($cat['text']) ; ?></textarea>
										
									<?php elseif( $cat['type'] == 'news-pic' ) : ?>
										<div class="widget-head news-pic-box">  News In Picture
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats1[<?php echo $i ?>][id]" id="magnews_home_cats1[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats1[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats1[<?php echo $i ?>][title]" name="magnews_home_cats1[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
									<?php elseif( $cat['type'] == 'divider' ) : ?>
										<div class="widget-head news-pic-box">  Divider
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label for="magnews_home_cats1[<?php echo $i ?>][height]"><span>Height :</span><input id="magnews_home_cats1[<?php echo $i ?>][height]" name="magnews_home_cats1[<?php echo $i ?>][height]" value="<?php  echo $cat['height']  ?>" type="text" style="width:50px;" /> px</label>

									<?php endif; ?>
									
									
											<input id="magnews_home_cats1[<?php echo $i ?>][type]" name="magnews_home_cats1[<?php echo $i ?>][type]" value="<?php  echo $cat['type']  ?>" type="hidden" />
											<a class="del-cat"></a>
										
										</div>
									</li>
							<?php } 
							} else{?>
							<?php } ?>
					</ul>
					
				</div>
				</div>


				<div class="magnewspanel-item builder-section">
				<h3> Wide Area #1 </h3>
				<div class="option-item">
				
					<div style="clear:both"></div>
					<div class="home-builder-buttons">
						<a class="magnews_add-wide-cat" data-id="#cat_sortable2" data-num="2">News Box</a>
						<a class="magnews_add-slider" data-id="#cat_sortable2" data-num="2">Scrolling Box</a>
						<a class="magnews_add-ads" data-id="#cat_sortable2" data-num="2" >ADS</a>
						<a class="magnews_add-wide-reviews" data-id="#cat_sortable2" data-num="2" id="add-review" >Reviews Categories</a>
					</div>
					
	
					
					<ul id="cat_sortable2" class="cat_sortable">
						<?php
							$cats = $cat = 0;
							$cats = get_option( 'magnews_home_cats2' ) ;
							if($cats){
								foreach ($cats as $cat) { 
									$i++;
									?>
									<li id="listItem_<?php echo $i ?>" class="ui-state-default">
			
								<?php 
									if( $cat['type'] == 'n' ) :	?>
										<div class="widget-head"> News Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats2[<?php echo $i ?>][id]" id="magnews_home_cats2[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label><span>Posts Order : </span><select name="magnews_home_cats2[<?php echo $i ?>][order]" id="magnews_home_cats2[<?php echo $i ?>][order]"><option value="latest" <?php if( $cat['order'] == 'latest' || $cat['order']=='' ) echo 'selected="selected"'; ?>>Latest Posts</option><option  <?php if( $cat['order'] == 'rand' ) echo 'selected="selected"'; ?> value="rand">Random Posts</option></select></label>
											<label for="magnews_home_cats2[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats2[<?php echo $i ?>][number]" name="magnews_home_cats2[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
										
									<?php elseif( $cat['type'] == 's' ) : ?>
										<div class="widget-head scrolling-box"> Scrolling Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats2[<?php echo $i ?>][id]" id="magnews_home_cats2[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats2[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats2[<?php echo $i ?>][title]" name="magnews_home_cats2[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label for="magnews_home_cats2[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats2[<?php echo $i ?>][number]" name="magnews_home_cats2[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
								
								<?php
									elseif( $cat['type'] == 'rev' ) :	?>
										<div class="widget-head"> Reviews Box
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label for="magnews_home_cats2[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats2[<?php echo $i ?>][title]" name="magnews_home_cats2[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label><span>Box Category 1 : </span><select name="magnews_home_cats2[<?php echo $i ?>][id1]" id="magnews_home_cats2[<?php echo $i ?>][id1]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id1']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>

											<label><span>Box Category 2 : </span><select name="magnews_home_cats2[<?php echo $i ?>][id2]" id="magnews_home_cats2[<?php echo $i ?>][id2]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id2']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											
											<label><span>Box Category 3 : </span><select name="magnews_home_cats2[<?php echo $i ?>][id3]" id="magnews_home_cats2[<?php echo $i ?>][id3]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id3']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label><span>Posts Order : </span><select name="magnews_home_cats2[<?php echo $i ?>][order]" id="magnews_home_cats2[<?php echo $i ?>][order]"><option value="latest" <?php if( $cat['order'] == 'latest' || $cat['order']=='' ) echo 'selected="selected"'; ?>>Latest Reviews</option><option  <?php if( $cat['order'] == 'rand' ) echo 'selected="selected"'; ?> value="rand">Random Reviews</option><option  <?php if( $cat['order'] == 'best' ) echo 'selected="selected"'; ?> value="best">Best Reviews</option></select></label>
											<label for="magnews_home_cats2[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats2[<?php echo $i ?>][number]" name="magnews_home_cats2[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
										

											
									<?php elseif( $cat['type'] == 'ads' ) : ?>
										<div class="widget-head ads-box"> ADS
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<textarea cols="36" rows="5" name="magnews_home_cats2[<?php echo $i ?>][text]" id="magnews_home_cats2[<?php echo $i ?>][text]"><?php echo stripslashes($cat['text']) ; ?></textarea>
										
									<?php endif; ?>
									
									
											<input id="magnews_home_cats2[<?php echo $i ?>][type]" name="magnews_home_cats2[<?php echo $i ?>][type]" value="<?php  echo $cat['type']  ?>" type="hidden" />
											<a class="del-cat"></a>
										
										</div>
									</li>
							<?php } 
							} else{?>
							<?php } ?>
					</ul>
					
				</div>
				</div>

				
				<div class="magnewspanel-item builder-section">
				<h3>Left Area #2</h3>
				<div class="option-item">
				
					<div style="clear:both"></div>
					<div class="home-builder-buttons">
						<a class="magnews_add-cat" data-id="#cat_sortable3" data-num="3">News Box</a>
						<a class="magnews_add-slider" data-id="#cat_sortable3" data-num="3">Scrolling Box</a>
						<a class="magnews_add-ads" data-id="#cat_sortable3" data-num="3">ADS</a>
						<a class="magnews_add-news-picture" data-id="#cat_sortable3" data-num="3">News in picrure</a>
						<a class="magnews_add-recent" data-id="#cat_sortable3" data-num="3">Recent Posts</a>
						<a class="magnews_add-divider" data-id="#cat_sortable3" data-num="3">Divider</a>
					</div>
					
	
					
					<ul id="cat_sortable3" class="cat_sortable">
						<?php
							$cats = $cat = 0;
							$cats = get_option( 'magnews_home_cats3' ) ;
							if($cats){
								foreach ($cats as $cat) { 
									$i++;
									?>
									<li id="listItem_<?php echo $i ?>" class="ui-state-default">
			
								<?php 
									if( $cat['type'] == 'n' ) :	?>
										<div class="widget-head"> News Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats3[<?php echo $i ?>][id]" id="magnews_home_cats3[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label><span>Posts Order : </span><select name="magnews_home_cats3[<?php echo $i ?>][order]" id="magnews_home_cats3[<?php echo $i ?>][order]"><option value="latest" <?php if( $cat['order'] == 'latest' || $cat['order']=='' ) echo 'selected="selected"'; ?>>Latest Posts</option><option  <?php if( $cat['order'] == 'rand' ) echo 'selected="selected"'; ?> value="rand">Random Posts</option></select></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats3[<?php echo $i ?>][number]" name="magnews_home_cats3[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
											
											<label>
												<span style="float:left; width:162px">Box Style : </span>
												<ul class="magnews-cats-options magnews-options">
													<li>
														<input id="magnews_home_cats3[<?php echo $i ?>][style]" name="magnews_home_cats3[<?php echo $i ?>][style]" type="radio" value="li" <?php if( $cat['style'] == 'li' || $cat['style']=='' ) echo 'checked="checked"'; ?> />
														<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/li.png" /></a>
													</li>
													<li>
														<input id="magnews_home_cats3[<?php echo $i ?>][style]" name="magnews_home_cats3[<?php echo $i ?>][style]" type="radio" value="2c" <?php if( $cat['style'] == '2c' ) echo 'checked="checked"' ?> />
														<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/2c.png" /></a>
													</li>
													<li>
														<input id="magnews_home_cats3[<?php echo $i ?>][style]" name="magnews_home_cats3[<?php echo $i ?>][style]" type="radio" value="1c" <?php if( $cat['style'] == '1c') echo 'checked="checked"' ?> />
														<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/1c.png" /></a>
													</li>
												</ul>
											</label>
								<?php 
									elseif( $cat['type'] == 'recent' ) :	?>
										<div class="widget-head"> Recent Posts 
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span style="float:left;">Exclude This Categories : </span><select multiple="multiple" name="magnews_home_cats3[<?php echo $i ?>][exclude][]" id="magnews_home_cats3[<?php echo $i ?>][exclude][]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( @in_array( $key , $cat['exclude'] ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats3[<?php echo $i ?>][title]" name="magnews_home_cats3[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats3[<?php echo $i ?>][number]" name="magnews_home_cats3[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][display]"><span>Display Mode:</span>
												<select id="magnews_home_cats3[<?php echo $i ?>][display]" name="magnews_home_cats3[<?php echo $i ?>][display]">
													<option value="default" <?php if ( $cat['display'] == 'default') { echo ' selected="selected"' ; } ?>>Default Style</option>
													<option value="blog" <?php if ( $cat['display'] == 'blog') { echo ' selected="selected"' ; } ?>>Blog Style</option>
												</select>
											</label>

										
									<?php elseif( $cat['type'] == 's' ) : ?>
										<div class="widget-head scrolling-box"> Scrolling Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats3[<?php echo $i ?>][id]" id="magnews_home_cats3[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats3[<?php echo $i ?>][title]" name="magnews_home_cats3[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats3[<?php echo $i ?>][number]" name="magnews_home_cats3[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>

											
									<?php elseif( $cat['type'] == 'ads' ) : ?>
										<div class="widget-head ads-box"> ADS
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<textarea cols="36" rows="5" name="magnews_home_cats3[<?php echo $i ?>][text]" id="magnews_home_cats3[<?php echo $i ?>][text]"><?php echo stripslashes($cat['text']) ; ?></textarea>
										
									<?php elseif( $cat['type'] == 'news-pic' ) : ?>
										<div class="widget-head news-pic-box">  News In Picture
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats3[<?php echo $i ?>][id]" id="magnews_home_cats3[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats3[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats3[<?php echo $i ?>][title]" name="magnews_home_cats3[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
									<?php elseif( $cat['type'] == 'divider' ) : ?>
										<div class="widget-head news-pic-box">  Divider
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label for="magnews_home_cats3[<?php echo $i ?>][height]"><span>Height :</span><input id="magnews_home_cats3[<?php echo $i ?>][height]" name="magnews_home_cats3[<?php echo $i ?>][height]" value="<?php  echo $cat['height']  ?>" type="text" style="width:50px;" /> px</label>

									<?php endif; ?>
									
									
											<input id="magnews_home_cats3[<?php echo $i ?>][type]" name="magnews_home_cats3[<?php echo $i ?>][type]" value="<?php  echo $cat['type']  ?>" type="hidden" />
											<a class="del-cat"></a>
										
										</div>
									</li>
							<?php } 
							} else{?>
							<?php } ?>
					</ul>
					
				</div>
				</div>
				
			
				<div class="magnewspanel-item builder-section">
				<h3> Wide Area #2</h3>
				<div class="option-item">
				
					<div style="clear:both"></div>
					<div class="home-builder-buttons">
						<a class="magnews_add-wide-cat" data-id="#cat_sortable4" data-num="4">News Box</a>
						<a class="magnews_add-slider" data-id="#cat_sortable4" data-num="4">Scrolling Box</a>
						<a class="magnews_add-ads" data-id="#cat_sortable4" data-num="4" >ADS</a>
						<a class="magnews_add-wide-reviews" data-id="#cat_sortable4" data-num="4" id="add-review" >Reviews Categories</a>
					</div>
					
	
					
					<ul id="cat_sortable4" class="cat_sortable">
						<?php
							$cats = $cat = 0;
							$cats = get_option( 'magnews_home_cats4' ) ;
							
							if($cats){
								foreach ($cats as $cat) { 
									$i++;
									?>
									<li id="listItem_<?php echo $i ?>" class="ui-state-default">
			
								<?php 
									if( $cat['type'] == 'n' ) :	?>
										<div class="widget-head"> News Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats4[<?php echo $i ?>][id]" id="magnews_home_cats4[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label><span>Posts Order : </span><select name="magnews_home_cats4[<?php echo $i ?>][order]" id="magnews_home_cats4[<?php echo $i ?>][order]"><option value="latest" <?php if( $cat['order'] == 'latest' || $cat['order']=='' ) echo 'selected="selected"'; ?>>Latest Posts</option><option  <?php if( $cat['order'] == 'rand' ) echo 'selected="selected"'; ?> value="rand">Random Posts</option></select></label>
											<label for="magnews_home_cats4[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats4[<?php echo $i ?>][number]" name="magnews_home_cats4[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
										
									<?php elseif( $cat['type'] == 's' ) : ?>
										<div class="widget-head scrolling-box"> Scrolling Box : <?php echo get_the_category_by_ID($cat['id']) ?>
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label><span>Box Category : </span><select name="magnews_home_cats4[<?php echo $i ?>][id]" id="magnews_home_cats4[<?php echo $i ?>][id]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label for="magnews_home_cats4[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats4[<?php echo $i ?>][title]" name="magnews_home_cats4[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label for="magnews_home_cats4[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats4[<?php echo $i ?>][number]" name="magnews_home_cats4[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
								
								<?php
									elseif( $cat['type'] == 'rev' ) :	?>
										<div class="widget-head"> Reviews Box
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<label for="magnews_home_cats4[<?php echo $i ?>][title]"><span>Box Title :</span><input id="magnews_home_cats4[<?php echo $i ?>][title]" name="magnews_home_cats4[<?php echo $i ?>][title]" value="<?php  echo $cat['title']  ?>" type="text" /></label>
											<label><span>Box Category 1 : </span><select name="magnews_home_cats4[<?php echo $i ?>][id1]" id="magnews_home_cats4[<?php echo $i ?>][id1]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id1']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>

											<label><span>Box Category 2 : </span><select name="magnews_home_cats4[<?php echo $i ?>][id2]" id="magnews_home_cats4[<?php echo $i ?>][id2]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id2']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											
											<label><span>Box Category 3 : </span><select name="magnews_home_cats4[<?php echo $i ?>][id3]" id="magnews_home_cats4[<?php echo $i ?>][id3]">
												<?php foreach ($categories as $key => $option) { ?>
												<option value="<?php echo $key ?>" <?php if ( $cat['id3']  == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
												<?php } ?>
											</select></label>
											<label><span>Posts Order : </span><select name="magnews_home_cats4[<?php echo $i ?>][order]" id="magnews_home_cats4[<?php echo $i ?>][order]"><option value="latest" <?php if( $cat['order'] == 'latest' || $cat['order']=='' ) echo 'selected="selected"'; ?>>Latest Reviews</option><option  <?php if( $cat['order'] == 'rand' ) echo 'selected="selected"'; ?> value="rand">Random Reviews</option><option  <?php if( $cat['order'] == 'best' ) echo 'selected="selected"'; ?> value="best">Best Reviews</option></select></label>
											<label for="magnews_home_cats4[<?php echo $i ?>][number]"><span>Number of posts to show :</span><input style="width:50px;" id="magnews_home_cats4[<?php echo $i ?>][number]" name="magnews_home_cats4[<?php echo $i ?>][number]" value="<?php  echo $cat['number']  ?>" type="text" /></label>
										

											
									<?php elseif( $cat['type'] == 'ads' ) : ?>
										<div class="widget-head ads-box"> ADS
											<a class="toggle-open">+</a>
											<a class="toggle-close">-</a>
										</div>
										<div class="widget-content">
											<textarea cols="36" rows="5" name="magnews_home_cats4[<?php echo $i ?>][text]" id="magnews_home_cats4[<?php echo $i ?>][text]"><?php echo stripslashes($cat['text']) ; ?></textarea>
										
									<?php endif; ?>
									
									
											<input id="magnews_home_cats4[<?php echo $i ?>][type]" name="magnews_home_cats4[<?php echo $i ?>][type]" value="<?php  echo $cat['type']  ?>" type="hidden" />
											<a class="del-cat"></a>
										
										</div>
									</li>
							<?php } 
							} else{?>
							<?php } ?>
					</ul>
					
				</div>
				</div>
				
				
				<script>
					var nextCell = <?php echo $i+1 ?> ;
					var templatePath =' <?php echo get_template_directory_uri(); ?>';
				</script>
					
					
				</div>	

				
			</div>
						
		</div>

		</div> <!-- Homepage Settings -->
		
		
	
	
		
		
		<div id="tab4" class="tabs-wrap">
			<h2>Social Media </h2> <?php echo $save ?>

			<div class="magnewspanel-item">
				<h3>Custom Feed URL</h3>
							
				<?php
					magnews_options(
						array(	"name" => "Hide Rss Icon",
								"id" => "rss_icon",
								"type" => "checkbox"));
								
					magnews_options(
						array(	"name" => "Custom Feed URL",
								"id" => "rss_url",
								"help" => "e.g. http://feedburner.com/userid",
								"type" => "text"));
				?>
			</div>
			
		<div class="magnewspanel-item">
				<h3>Social Networking</h3>
				<p style="padding:10px; color:red;"> Don't forget to add http:// before link .</p>
						
				<?php						
					magnews_options(
						array(	"name" => "Facebook URL",
								"id" => "social",
								"key" => "facebook",
								"type" => "arrayText"));

					magnews_options(
						array(	"name" => "Twitter URL",
								"id" => "social",
								"key" => "twitter",
								"type" => "arrayText"));
								
					magnews_options(
						array(	"name" => "Google+ URL",
								"id" => "social",
								"key" => "google_plus",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "MySpace URL",
								"id" => "social",
								"key" => "myspace",
								"type" => "arrayText"));

												
					magnews_options(
						array(	"name" => "dribbble URL",
								"id" => "social",
								"key" => "dribbble",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "LinkedIn URL",
								"id" => "social",
								"key" => "linkedin",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "evernote URL",
								"id" => "social",
								"key" => "evernote",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "ember URL",
								"id" => "social",
								"key" => "ember",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "Flickr URL",
								"id" => "social",
								"key" => "flickr",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "Picasa Web URL",
								"id" => "social",
								"key" => "picasa",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "DeviantArt URL",
								"id" => "social",
								"key" => "deviantart",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "YouTube URL",
								"id" => "social",
								"key" => "youtube",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "technorati URL",
								"id" => "social",
								"key" => "technorati",
								"type" => "arrayText"));

					magnews_options(
						array(	"name" => "Vimeo URL",
								"id" => "social",
								"key" => "vimeo",
								"type" => "arrayText"));
												
					magnews_options(
						array(	"name" => "ShareThis URL",
								"id" => "social",
								"key" => "sharethis",
								"type" => "arrayText"));
																											
					magnews_options(
						array(	"name" => "Skype URL",
								"id" => "social",
								"key" => "skype",
								"type" => "arrayText"));
																																
					magnews_options(
						array(	"name" => "Digg URL",
								"id" => "social",
								"key" => "digg",
								"type" => "arrayText"));
																
					magnews_options(
						array(	"name" => "Reddit URL",
								"id" => "social",
								"key" => "reddit",
								"type" => "arrayText"));
																
					magnews_options(
						array(	"name" => "Delicious URL",
								"id" => "social",
								"key" => "delicious",
								"type" => "arrayText"));
																
					magnews_options(
						array(	"name" => "StumbleUpon  URL",
								"key" => "stumbleupon",
								"id" => "social",
								"type" => "arrayText"));
																																
					magnews_options(
						array(	"name" => "Tumblr URL",
								"id" => "social",
								"key" => "tumblr",
								"type" => "arrayText"));
																
					magnews_options(
						array(	"name" => "Blogger URL",
								"id" => "social",
								"key" => "blogger",
								"type" => "arrayText"));
																
					magnews_options(
						array(	"name" => "Wordpress URL",
								"id" => "social",
								"key" => "wordpress",
								"type" => "arrayText"));
																																															
					magnews_options(
						array(	"name" => "Last.fm URL",
								"id" => "social",
								"key" => "lastfm",

								"type" => "arrayText"));
																				
					magnews_options(
						array(	"name" => "Pandora URL",
								"id" => "social",
								"key" => "pandora",
								"type" => "arrayText"));
																				
					magnews_options(
						array(	"name" => "Apple URL",
								"id" => "social",
								"key" => "apple",
								"type" => "arrayText"));
																				
					magnews_options(
						array(	"name" => "Google Play URL",
								"id" => "social",
								"key" => "google_play",
								"type" => "arrayText"));
																				
					magnews_options(
						array(	"name" => "Pinterest URL",
								"id" => "social",
								"key" => "Pinterest",
								"type" => "arrayText"));
													
					magnews_options(
						array(	"name" => "Instagram URL",
								"id" => "social",
								"key" => "instagram",
								"type" => "arrayText"));
								
					magnews_options(
						array(	"name" => "PayPal URL",
								"id" => "social",
								"key" => "paypal",
								"type" => "arrayText"));
																				
					magnews_options(
						array(	"name" => "Forrst URL",
								"id" => "social",
								"key" => "forrst",
								"type" => "arrayText"));
								
					magnews_options(
						array(	"name" => "Behance URL",
								"id" => "social",
								"key" => "behance",
								"type" => "arrayText"));

				?>
			</div>			
		</div><!-- Social Networking -->
		
		
		<div id="tab5" class="tab_content tabs-wrap">
			<h2>Slider Settings</h2> <?php echo $save; ?>
			<div class="magnewspanel-item">
				<h3>Slider Options</h3>
				<?php
					magnews_options(
						array(	"name" => "ON/OFF Slider",
								"id" => "slider",
								"type" => "checkbox")); 
		
					magnews_options(
						array(	"name" => "Select Slider Type",
								"id" => "slider_type",
								"options" => array( "flexi"=>"Flexible Slider (with arrows)" ,
													"elastic"=>"Elastic Slider (with thumbnail)" ),
								"type" => "radio")); 
								
				?>
				
			</div>
			<div id="elastic" class="magnewspanel-item">
			<h3> Slideshow Settings </h3>
				<?php
					magnews_options(
						array(	"name" => "Animation Effect",
								"id" => "elastic_slider_effect",
								"type" => "select",
								"options" => array(
									'center' => 'Center',
									'sides' => 'Sides'
								)));

					magnews_options(
						array(	"name" => "Autoplay",
								"id" => "elastic_slider_autoplay",
								"type" => "checkbox"));
					
					
					magnews_options(
						array(	"name" => "Slideshow Speed",
								"id" => "elastic_slider_interval",
								"type" => "slider",
								"unit" => "ms",
								"max" => 40000,
								"min" => 100 ));

					magnews_options(
						array(	"name" => "Animation Speed",
								"id" => "elastic_slider_speed",
								"type" => "slider",
								"unit" => "ms",
								"max" => 40000,
								"min" => 100 ));
				?>
			</div>

			<div id="flexi" class="magnewspanel-item">
			<h3>Flexible Slider Settings</h3>
				<?php
					if( is_rtl() ){
						magnews_options(
							array(	"name" => "Animation Effect",
									"id" => "flexi_slider_effect",
									"type" => "select",
									"options" => array(
										'fade' => 'Fade',
										'slideV' => 'Slide Vertical',
									)));
					}else{
						magnews_options(
							array(	"name" => "Animation Effect",
									"id" => "flexi_slider_effect",
									"type" => "select",
									"options" => array(
										'fade' => 'Fade',
										'slideV' => 'Slide Vertical',
										'slideH' => 'Slide Horizontal',
									)));
					}
								
					magnews_options(
						array(	"name" => "Slideshow Speed",
								"id" => "flexi_slider_speed",
								"type" => "slider",
								"unit" => "ms",
								"max" => 40000,
								"min" => 100 ));

					magnews_options(
						array(	"name" => "Animation Speed",
								"id" => "flexi_slider_time",
								"type" => "slider",
								"unit" => "ms",
								"max" => 40000,
								"min" => 100 ));
				?>
			</div>
			
			<div class="magnewspanel-item">
				<h3>Query Settings</h3>
			<?php
					magnews_options(
						array(	"name" => "Number Of Posts To Show",
								"id" => "slider_number",
								"type" => "short-text"));
								
					magnews_options(
						array(	"name" => "Query Type",
								"id" => "slider_query",
								"options" => array( "category"=>"Category" ,
													"tag"=>"Tag",
													"post"=>"Selctive Posts",
													"page"=>"Selctive pages" ),
								"type" => "radio")); 
								
					magnews_options(
						array(	"name" => "Tags",
								"help" => "Enter a tag name, or names seprated by comma. ",
								"id" => "slider_tag",
								"type" => "text"));
			?>
				<?php // To convert single cat in version 1.6 to multiple cats in 1.7 .. will removed in future
					$slider_cat = magnews_get_option('slider_cat') ;
					if( !is_array( $slider_cat ) ){
						$slider_cat = array();
						$slider_cat[] = magnews_get_option('slider_cat');
					}				
				?>
					<div class="option-item" id="slider_cat-item">
						<span class="label">Category</span>
							<select multiple="multiple" name="magnews_options[slider_cat][]" id="magnews_slider_cat">
							<?php foreach ($categories as $key => $option) { ?>
								<option value="<?php echo $key ?>" <?php if ( @in_array( $key , $slider_cat ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
							<?php } ?>
						</select>
						<a class="mo-help tooltip" title="Enter a category ID, or IDs seprated by comma. "></a>
					</div>
					
			<?php
																
					magnews_options(
						array(	"name" => "Selctive Posts IDs",
								"help" => "Enter a post ID, or IDs seprated by comma. ",
								"id" => "slider_posts",
								"type" => "text"));
								
					magnews_options(
						array(	"name" => "Selctive Pages IDs",
								"help" => "Enter a page ID, or IDs seprated by comma. ",
								"id" => "slider_pages",
								"type" => "text"));	
								
					
			?>
			
			</div>
		</div> 
				
	  <div id="tab6" class="tab_content tabs-wrap">
			<h2>Article Posts Settings</h2> <?php echo $save ?>

			<div class="magnewspanel-item">

				<h3>Article Posts Elements</h3>
				<?php
					magnews_options(
						array(	"name" => "Show Featured Image",
								"desc" => "",
								"id" => "post_featured",
								"type" => "checkbox"));

					magnews_options(
						array(	"name" => "Post Author Box",
								"desc" => "",
								"id" => "post_authorbio",
								"type" => "checkbox"));
				?>
			</div>
			
			<div class="magnewspanel-item">

				<h3>Post Meta Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "Post Meta :",
								"id" => "post_meta",
								"type" => "checkbox"));

					magnews_options(
						array(	"name" => "Author Meta",
								"id" => "post_author",
								"type" => "checkbox"));

					magnews_options(
						array(	"name" => "Date Meta",
								"id" => "post_date",
								"type" => "checkbox"));


					magnews_options(
						array(	"name" => "Categories Meta",
								"id" => "post_cats",
								"type" => "checkbox"));


					magnews_options(
						array(	"name" => "Comments Meta",
								"id" => "post_comments",
								"type" => "checkbox"));
								
					magnews_options(
						array(	"name" => "Views Meta",
								"id" => "post_views",
								"type" => "checkbox"));

					magnews_options(
						array(	"name" => "Tags Meta",
								"id" => "post_tags",
								"type" => "checkbox"));

								
				?>	
			</div>

				
			<div class="magnewspanel-item">

				<h3>Share Post Button</h3>
				<?php
					magnews_options(
						array(	"name" => "<strong>ON/OFF Share Buttons :</strong>",
								"id" => "share_post",
								"type" => "checkbox"));

				
					magnews_options(
						array(	"name" => "Twitter",
								"id" => "share_tweet",
								"type" => "checkbox"));
								
					magnews_options(
						array(	"name" => "- Twitter Username <small>(optional)</small>",
								"id" => "share_twitter_username",
								"type" => "text"));
						
					magnews_options(
						array(	"name" => "Facebook Like ",
								"id" => "share_facebook",
								"type" => "checkbox"));
								
					magnews_options(
						array(	"name" => "Google+ ",
								"id" => "share_google",
								"type" => "checkbox"));
								
																
					magnews_options(
						array(	"name" => "Linkedin ",
								"id" => "share_linkdin",
								"type" => "checkbox"));
																					
					magnews_options(
						array(	"name" => "StumbleUpon",
								"id" => "share_stumble",
								"type" => "checkbox"));
								
																			
					magnews_options(
						array(	"name" => "Pinterest",
								"id" => "share_pinterest",
								"type" => "checkbox"));
								
				?>	
			</div>

				
			<div class="magnewspanel-item">

				<h3>Related Posts Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "Related Posts",
								"id" => "related",
								"type" => "checkbox")); 
								
					magnews_options(
						array(	"name" => "Number of posts to show",
								"id" => "related_number",
								"type" => "short-text"));
								
					magnews_options(
						array(	"name" => "Query Type",
								"id" => "related_query",
								"options" => array( "category"=>"Category" ,
													"tag"=>"Tag",
													"author"=>"Author" ),
								"type" => "radio")); 
				?>
			</div>

			
			
		</div> <!-- Article Settings -->
		
		
		<div id="tab7" class="tabs-wrap">
			<h2>Footer Settings</h2> <?php echo $save ?>
			
			<div class="magnewspanel-item">
				<h3>Footer Column</h3>
					<div class="option-item">

					<?php
						$checked = 'checked="checked"';
						$magnews_footer_widgets = magnews_get_option('footer_widgets');
					?>
					<ul id="footer-widgets-options" class="magnews-options">
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="footer-1c" <?php if($magnews_footer_widgets == 'footer-1c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-1c.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="footer-2c" <?php if($magnews_footer_widgets == 'footer-2c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-2c.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="narrow-wide-2c" <?php if($magnews_footer_widgets == 'narrow-wide-2c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-2c-narrow-wide.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="wide-narrow-2c" <?php if($magnews_footer_widgets == 'wide-narrow-2c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-2c-wide-narrow.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="footer-3c" <?php if($magnews_footer_widgets == 'footer-3c' || !$magnews_footer_widgets ) echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-3c.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="wide-left-3c" <?php if($magnews_footer_widgets == 'wide-left-3c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-3c-wide-left.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="wide-right-3c" <?php if($magnews_footer_widgets == 'wide-right-3c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-3c-wide-right.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="footer-4c" <?php if($magnews_footer_widgets == 'footer-4c') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-4c.png" /></a>
						</li>
						<li>
							<input id="magnews_footer_widgets"  name="magnews_options[footer_widgets]" type="radio" value="disable" <?php if($magnews_footer_widgets == 'disable') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/footer-no.png" /></a>
						</li>

					</ul>
				</div>
			</div>
			
            <div class="magnewspanel-item">
				<h3>Footer Background Styling</h3>
				<?php
					magnews_options(
						array(	"name" => "Background",
								"id" => "footer_background",
								"type" => "background"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Footer Widget Title color",
								"id" => "footer_title_color",
								"type" => "color"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Links Color",
								"id" => "footer_links_color",
								"type" => "color"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Links Color on mouse over",
								"id" => "footer_links_color_hover",
								"type" => "color"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Footer Bottom Background Color",
								"id" => "footer_bottom_background",
								"type" => "color"));
				?>
			</div>
            
            <div class="magnewspanel-item">

				<h3>Footer Elements</h3>
				<?php
					magnews_options(
						array(	"name" => "'Go To Top' Icon",
								"id" => "footer_top",
								"type" => "checkbox"));

					magnews_options(
						array(	"name" => "Social Icons",
								"desc" => "",
								"id" => "footer_social",
								"type" => "checkbox")); 

				?>
			</div>
            
			<div class="magnewspanel-item">
				<h3>Copyright Text (HTML Enable)</h3>
				<div class="option-item">
					<textarea id="magnews_footer_one" name="magnews_options[footer_one]" style="width:100%" rows="4"><?php echo htmlspecialchars_decode(magnews_get_option('footer_one'));  ?></textarea>				
				</div>
			</div>

		</div><!-- Footer Settings -->

		
		<div id="tab8" class="tab_content tabs-wrap">
			<h2>Banners Settings </h2> <?php echo $save ?>
			<div class="magnewspanel-item">
				<h3>Top Banner Area</h3>
				<?php
					magnews_options(				
						array(	"name" => "Top Banner",
								"id" => "banner_top",
								"type" => "checkbox")); 	
					magnews_options(			
						array(	"name" => "Top Banner Image",
								"id" => "banner_top_img",
								"type" => "upload")); 
								
					magnews_options(					
						array(	"name" => "Top Banner Link",
								"id" => "banner_top_url",
								"type" => "text")); 
								
					magnews_options(				
						array(	"name" => "Alternative Text For The image",
								"id" => "banner_top_alt",
								"type" => "text"));
								
					magnews_options(
						array(	"name" => "Open The Link In a new Tab",
								"id" => "banner_top_tab",
								"type" => "checkbox"));
								
					magnews_options(					
						array(	"name" => "Adsense Code",
								"id" => "banner_top_adsense",
								"type" => "textarea")); 
				?>
			</div>

			<div class="magnewspanel-item">
				<h3>Bottom Banner Area</h3>
				<?php
					magnews_options(				
						array(	"name" => "Bottom Banner",
								"id" => "banner_bottom",
								"type" => "checkbox")); 	
					magnews_options(			
						array(	"name" => "Bottom Banner Image",
								"id" => "banner_bottom_img",
								"type" => "upload")); 
								
					magnews_options(					
						array(	"name" => "Bottom Banner Link",
								"id" => "banner_bottom_url",
								"type" => "text")); 
								
					magnews_options(				
						array(	"name" => "Alternative Text For The image",
								"id" => "banner_bottom_alt",
								"type" => "text"));
								
					magnews_options(
						array(	"name" => "Open The Link In a new Tab",
								"id" => "banner_bottom_tab",
								"type" => "checkbox"));
								
					magnews_options(					
						array(	"name" => "Adsense Code",
								"id" => "banner_bottom_adsense",
								"type" => "textarea")); 
				?>
			</div>
	
			<div class="magnewspanel-item">
				<h3>Above Article Banner Area</h3>
				<?php
					magnews_options(				
						array(	"name" => "Above Article Banner",
								"id" => "banner_above",
								"type" => "checkbox")); 	
					magnews_options(			
						array(	"name" => "Above Article Banner Image",
								"id" => "banner_above_img",
								"type" => "upload")); 
								
					magnews_options(					
						array(	"name" => "Above Article Banner Link",
								"id" => "banner_above_url",
								"type" => "text")); 
								
					magnews_options(				
						array(	"name" => "Alternative Text For The image",
								"id" => "banner_above_alt",
								"type" => "text"));
								
					magnews_options(
						array(	"name" => "Open The Link In a new Tab",
								"id" => "banner_above_tab",
								"type" => "checkbox"));
								
					magnews_options(					
						array(	"name" => "Adsense Code",
								"id" => "banner_above_adsense",
								"type" => "textarea")); 
				?>
			</div>
	
			
			<div class="magnewspanel-item">
				<h3>Below Article Banner Area</h3>
				<?php
					magnews_options(				
						array(	"name" => "Below Article Banner",
								"id" => "banner_below",
								"type" => "checkbox")); 	
					magnews_options(			
						array(	"name" => "Below Article Banner Image",
								"id" => "banner_below_img",
								"type" => "upload")); 
								
					magnews_options(					
						array(	"name" => "Below Article Banner Link",
								"id" => "banner_below_url",
								"type" => "text")); 
								
					magnews_options(				
						array(	"name" => "Alternative Text For The image",
								"id" => "banner_below_alt",
								"type" => "text"));
								
					magnews_options(
						array(	"name" => "Open The Link In a new Tab",
								"id" => "banner_below_tab",
								"type" => "checkbox"));
								
					magnews_options(					
						array(	"name" => "Adsense Code",
								"id" => "banner_below_adsense",
								"type" => "textarea")); 
				?>
			</div>

			<div class="magnewspanel-item">
				<h3>Shortcode ADS </h3>
				<?php
					magnews_options(				
						array(	"name" => "[ads1] Shortcode Banner",
								"id" => "ads1_shortcode",
								"type" => "textarea")); 
	
					magnews_options(
						array(	"name" => "[ads2] Shortcode Banner",
								"id" => "ads2_shortcode",
								"type" => "textarea")); 
				?>
			</div>
		</div> <!-- Banners Settings -->
	  <!-- Sidebars -->
		
  <div id="tab12" class="tab_content tabs-wrap">
			<h2>Archives Settings</h2>	<?php echo $save ?>	
			
			<div class="magnewspanel-item">
				<h3>General Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "Display",
								"id" => "blog_display",
								"help" => "will appears in all archives pages like categories / tags / search and in homepage blog style .",
								"type" => "radio",
								"options" => array( "excerpt"=>"Excerpt + Featured image" ,
													"full_thumb"=>"Excerpt + Full width Featured image" ,
													"content"=>"Content" )));
								
					magnews_options(
						array(	"name" => "Show Socail Buttons",
								"id" => "archives_socail",
								"type" => "checkbox",
								"help" => "if checked Facebook , Twitter , Google plus and Pinterest socail buttons will appear in all archives pages like categories / tags / search and in homepage blog style ." ));
					
					magnews_options(
						array( 	"name" => "Excerpt Length",
								"id" => "exc_length",
								"type" => "short-text"));
				?>
			</div>

			<div class="magnewspanel-item">
				<h3>Category Page Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "Category Description",
								"id" => "category_desc",
								"type" => "checkbox"));

					magnews_options(
						array(	"name" => "RSS Icon",
								"id" => "category_rss",
								"type" => "checkbox"));
				?>
			</div>

			<div class="magnewspanel-item">
				<h3>Tag Page Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "RSS Icon",
								"id" => "tag_rss",
								"type" => "checkbox"));
				?>
			</div>
			
			<div class="magnewspanel-item">
				<h3>Author Page Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "Author Bio",
								"id" => "author_bio",
								"type" => "checkbox"));
				?>
				<?php
					magnews_options(
						array(	"name" => "RSS Icon",
								"id" => "author_rss",
								"type" => "checkbox"));
				?>
			</div>
			
			<div class="magnewspanel-item">
				<h3>Search Page Settings</h3>
				<?php
					magnews_options(
						array(	"name" => "Search in Category IDs",
								"id" => "search_cats",
								"help" => "Use minus sign (-) to exclude categories. Example: (1,4,-7) = search only in Category 1 & 4, and exclude Category 7.",
								"type" => "text"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Exclude Pages in results",
								"id" => "search_exclude_pages",
								"type" => "checkbox"));
				?>
			</div>
		</div> <!-- Archives -->
				
				
		<div id="tab13" class="tab_content tabs-wrap">
			<h2>Colors &amp; Styling</h2>	<?php echo $save ?>	
			
            <div class="magnewspanel-item">
				<h3>Header Top Menu Styling</h3>
				<?php
					magnews_options(
						array(	"name" => "Background",
								"id" => "topbar_background",
								"type" => "color"));

					magnews_options(
						array(	"name" => "Links Color",
								"id" => "topbar_links_color",
								"type" => "color"));
														
					magnews_options(
						array(	"name" => "Links Text Shadow Color",
								"id" => "topbar_shadow_color",
								"type" => "color"));
		
					magnews_options(
						array(	"name" => "Links Color on mouse over",
								"id" => "topbar_links_color_hover",
								"type" => "color"));
								
					magnews_options(
						array(	"name" => "Links Text Shadow Color on mouse over",
								"id" => "topbar_shadow_color_hover",
								"type" => "color"));
				?>
			</div>
            
			<div class="magnewspanel-item">
				<h3>Header Styling</h3>
				<?php
					magnews_options(
						array(	"name" => "Header Background ",
								"id" => "header_background",
								"type" => "background"));

					magnews_options(
						array(	"name" => "Logo Text",
								"id" => "logo_text_color",
								"type" => "color"));
				?>		
			</div>
            
            <div class="magnewspanel-item">
				<h3>Main Navigation Styling</h3>
				<?php
					magnews_options(
						array(	"name" => "Background",
								"id" => "nav_background",
								"type" => "color"));

					magnews_options(
						array(	"name" => "Links Color",
								"id" => "nav_links_color",
								"type" => "color"));
										
					magnews_options(
						array(	"name" => "Links Text Shadow Color",
								"id" => "nav_shadow_color",
								"type" => "color"));
								
					magnews_options(
						array(	"name" => "Links Color on mouse over",
								"id" => "nav_links_color_hover",
								"type" => "color"));

					magnews_options(
						array(	"name" => "Links Text Shadow Color on mouse over",
								"id" => "nav_shadow_color_hover",
								"type" => "color"));
								
					magnews_options(
						array(	"name" => "Current Item Links Color",
								"id" => "nav_current_links_color",
								"type" => "color"));
										
					magnews_options(
						array(	"name" => "Current Item Links Text Shadow Color",
								"id" => "nav_current_shadow_color",
								"type" => "color"));

					magnews_options(
						array(	"name" => "Seprator Line1 color",
								"id" => "nav_sep1",
								"type" => "color"));
								
					magnews_options(
						array(	"name" => "Seprator Line2 color",
								"id" => "nav_sep2",
								"type" => "color"));
				?>
			</div>
            
			<div class="magnewspanel-item">
				<h3>Background Type</h3>
				<?php
					magnews_options(
						array( 	"name" => "Background Type",
								"id" => "background_type",
								"type" => "radio",
								"options" => array( "pattern"=>"Pattern" ,
													"custom"=>"Custom Background" )));
				?>
			</div>

			<div class="magnewspanel-item" id="pattern-settings">
				<h3>Choose Pattern</h3>
				
				<?php
					magnews_options(
						array( 	"name" => "Background Color",
								"id" => "background_pattern_color",
								"type" => "color" ));
				?>
				
				<?php
					$checked = 'checked="checked"';
					$theme_pattern = magnews_get_option('background_pattern');
				?>
				<ul id="theme-pattern" class="magnews-options">
					<?php for($i=1 ; $i<=23 ; $i++ ){ 
					 $pattern = 'body-bg'.$i; ?>
					<li>
						<input id="magnews_background_pattern"  name="magnews_options[background_pattern]" type="radio" value="<?php echo $pattern ?>" <?php if($theme_pattern == $pattern ) echo $checked; ?> />
						<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/pattern<?php echo $i ?>.png" /></a>
					</li>
					<?php } ?>
				</ul>
			</div>

			<div class="magnewspanel-item" id="bg_image_settings">
				<h3>Custom Background</h3>
				<?php
					magnews_options(
						array(	"name" => "Custom Background",
								"id" => "background",
								"type" => "background"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Full Screen Background",
								"id" => "background_full",
								"type" => "checkbox"));
				?>

			</div>	
			<div class="magnewspanel-item">
				<h3>Body Styling</h3>
				<?php
					magnews_options(
						array(	"name" => "Global main Color",
								"id" => "global_color",
								"type" => "color"));

					magnews_options(
						array(	"name" => "Highlighted Text Color",
								"id" => "highlighted_color",
								"type" => "color"));
			
					magnews_options(
						array(	"name" => "Links Color",
								"id" => "links_color",
								"type" => "color"));
			
					magnews_options(
						array(	"name" => "Links Decoration",
								"id" => "links_decoration",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
			
					magnews_options(
						array(	"name" => "Links Color on mouse over",
								"id" => "links_color_hover",
								"type" => "color"));
			
					magnews_options(
						array(	"name" => "Links Decoration on mouse over",
								"id" => "links_decoration_hover",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
			</div>

			
			
			
						

			<div class="magnewspanel-item">
				<h3>Content Styling </h3>
				<?php
					magnews_options(
						array(	"name" => "Main Content Box Background ",
								"id" => "main_content_bg",
								"type" => "background"));

				?>		
			</div>
			<div class="magnewspanel-item">
				<h3>Post Styling</h3>
				<?php
					magnews_options(
						array(	"name" => "Post Links Color",
								"id" => "post_links_color",
								"type" => "color"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Post Links Decoration",
								"id" => "post_links_decoration",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
				<?php
					magnews_options(
						array(	"name" => "Post Links Color on mouse over",
								"id" => "post_links_color_hover",
								"type" => "color"));
				?>
				<?php
					magnews_options(
						array(	"name" => "Post Links Decoration on mouse over",
								"id" => "post_links_decoration_hover",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
			</div>
		</div> <!-- Styling -->
	  <!-- Categories Design -->
		
  <div id="tab14" class="tab_content tabs-wrap">
			<h2>Typography</h2>	<?php echo $save ?>	
			
			<div class="magnewspanel-item">
				<h3>Character sets</h3>
				<?php
					magnews_options(
						array(	"name" => "Latin Extended",
								"id" => "typography_latin_extended",
								"type" => "checkbox"));
				?>
			</div>
			
            <div class="magnewspanel-item">
				<h3>Post Headings</h3>
				<?php
					magnews_options(
						array( 	"name" => "H1 Typography",
								"id" => "typography_post_h1",
								"type" => "typography"));
	
					magnews_options(
						array( 	"name" => "H2 Typography",
								"id" => "typography_post_h2",
								"type" => "typography"));
	
					magnews_options(
						array( 	"name" => "H3 Typography",
								"id" => "typography_post_h3",
								"type" => "typography"));
	
					magnews_options(
						array( 	"name" => "H4 Typography",
								"id" => "typography_post_h4",
								"type" => "typography"));
	
					magnews_options(
						array( 	"name" => "H5 Typography",
								"id" => "typography_post_h5",
								"type" => "typography"));
	
					magnews_options(
						array( 	"name" => "H6 Typography",
								"id" => "typography_post_h6",
								"type" => "typography"));
	
				?>
			</div>
            
			<div class="magnewspanel-item">
				<h3>Main Typography</h3>
				<?php
					magnews_options(
						array( 	"name" => "General Typography",
								"id" => "typography_general",
								"type" => "typography"));
	
					magnews_options(
						array( 	"name" => "Site Title In Header",
								"id" => "typography_site_title",
								"type" => "typography"));	

					magnews_options(
						array( 	"name" => "Tagline In Header",
								"id" => "typography_tagline",
								"type" => "typography"));	
								
					magnews_options(
						array( 	"name" => "Top Menu",
								"id" => "typography_top_menu",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "Main navigation",
								"id" => "typography_main_nav",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "Slider Post Title",
								"id" => "typography_slider_title",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "Page Title",
								"id" => "typography_page_title",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "Single Post Title",
								"id" => "typography_post_title",
								"type" => "typography"));
								
					magnews_options(
						array( 	"name" => "Post Title in Homepage Boxes",
								"id" => "typography_post_title_boxes",
								"type" => "typography"));
								
					magnews_options(
						array( 	"name" => "Small Post Title in Homepage Boxes",
								"id" => "typography_post_title2_boxes",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "Post Meta",
								"id" => "typography_post_meta",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "Post Entry",
								"id" => "typography_post_entry",
								"type" => "typography"));

					magnews_options(
						array( 	"name" => "News Boxes Titles",
								"id" => "typography_boxes_title",
								"type" => "typography"));
								
					magnews_options(
						array( 	"name" => "Widgets Titles",
								"id" => "typography_widgets_title",
								"type" => "typography"));
								
					magnews_options(
						array( 	"name" => "Footer Widgets Titles",
								"id" => "typography_footer_widgets_title",
								"type" => "typography"));
				?>
			</div>
			
		</div> <!-- Typography -->
		
		
		<div id="tab10" class="tab_content tabs-wrap">
			<h2>Advanced Settings</h2>	<?php echo $save ?>	

			<div class="magnewspanel-item">
				<h3>Disable the Responsiveness</h3>
				
				<?php
					magnews_options(
						array(	"name" => "Disable Responsive",
								"id" => "disable_responsive",
								"type" => "checkbox"));
				?>
				<p style="padding:10px;">This option works only on Tablets and Phones .. to disable the responsiveness action on the desktop.. edit style.css file and remove all Media Quries from the end of the file .</p>
			</div>	
			
			
			<div class="magnewspanel-item">
				<h3>Disable Theme [Gallery] Shortcode</h3>
				<?php
					magnews_options(
						array(	"name" => "Disable Theme [Gallery]",
								"id" => "disable_gallery_shortcode",
								"type" => "checkbox"));
				?>
				<p style="padding:10px;">Set it to <strong>ON</strong> if you want to use the Jetpack Tiled Galleries or if you uses custom lightbox plugin for [Gallery] shortcode .</p>
			</div>	
			
			<div class="magnewspanel-item">
				<h3>Twitter API OAuth settings</h3>
				<p style="padding:10px; color:red;">This information will uses in Social Counter and Twitter Widget .. You need to create <a href="https://dev.twitter.com/apps" target="_blank">Twitter APP</a> to get this info.</p>

				<?php
					magnews_options(
						array(	"name" => "Twitter Username",
								"id" => "twitter_username",
								"type" => "text"));

					magnews_options(
						array(	"name" => "Consumer key",
								"id" => "twitter_consumer_key",
								"type" => "text"));
								
					magnews_options(
						array(	"name" => "Consumer secret",
								"id" => "twitter_consumer_secret",
								"type" => "text"));	
								
					magnews_options(
						array(	"name" => "Access token",
								"id" => "twitter_access_token",
								"type" => "text"));	
								
					magnews_options(
						array(	"name" => "Access token secret",
								"id" => "twitter_access_token_secret",
								"type" => "text"));
				?>
			</div>	
							
			<div class="magnewspanel-item">
				<h3>Worpress Login page Logo </h3>
				<?php
					magnews_options(
						array(	"name" => "Worpress Login page Logo",
								"id" => "dashboard_logo",
								"type" => "upload"));
				?>
			
			</div>
			<?php
				global $array_options ;
				
				$current_options = array();
				foreach( $array_options as $option ){
					if( get_option( $option ) )
						$current_options[$option] =  get_option( $option ) ;
				}
			?>
				
		</div> <!-- Advanced -->
		
		
		<div class="mo-footer">
			<?php echo $save; ?>
		</form>

			<form method="post">
				<div class="mpanel-reset">
					<input type="hidden" name="resetnonce" value="<?php echo wp_create_nonce('reset-action-code'); ?>" />
					<input name="reset" class="mpanel-reset-button" type="submit" onClick="if(confirm('All settings will be rest .. Are you sure ?')) return true ; else return false; " value="Reset Settings" />
					<input type="hidden" name="action" value="reset" />
				</div>
			</form>
		</div>

	</div><!-- .mo-panel-content -->
<!-- .mo-panel -->


<?php
}
?>